Summary:	An image viewer and browser for GNOME
Summary(pl.UTF-8):	Przeglądarka obrazków dla GNOME
Name:		gthumb
Version:	3.12.7
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	https://download.gnome.org/sources/gthumb/3.12/%{name}-%{version}.tar.xz
# Source0-md5:	95599cb8b01725d14d171da839a5bb88
Patch0:		time-type.patch
URL:		https://wiki.gnome.org/Apps/Gthumb
BuildRequires:	AppStream-devel >= 0.14.6
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	brasero-devel >= 3.2.0
BuildRequires:	clutter-devel >= 1.12.0
BuildRequires:	clutter-gtk-devel >= 1.0.0
BuildRequires:	colord-devel >= 1.3
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel >= 0.21
BuildRequires:	flex
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.54.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= 3.16
# webkit2gtk-4.0 or webkit2-3.0; libsoup3 is not supported yet
BuildRequires:	gtk-webkit4-devel >= 1.10.0
BuildRequires:	json-glib-devel >= 0.16
BuildRequires:	lcms2-devel >= 2.6
BuildRequires:	libchamplain-devel >= 0.12
BuildRequires:	libheif-devel >= 1.11
BuildRequires:	libjpeg-devel
BuildRequires:	libjxl-devel >= 0.3.0
BuildRequires:	libpng-devel
BuildRequires:	libraw-devel >= 0.14
BuildRequires:	librsvg-devel >= 2.34.0
BuildRequires:	libsecret-devel >= 0.11
BuildRequires:	libsoup-devel >= 2.42
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel >= 0.2.0
BuildRequires:	meson >= 0.48
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.54.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	brasero-libs >= 3.2.0
Requires:	clutter >= 1.12.0
Requires:	colord >= 1.3
Requires:	exiv2-libs >= 0.21
Requires:	glib2 >= 1:2.54.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.16
Requires:	gtk-webkit4 >= 1.10.0
Requires:	hicolor-icon-theme
Requires:	json-glib >= 0.16
Requires:	lcms2 >= 2.6
Requires:	libchamplain >= 0.12
Requires:	libjxl >= 0.3.0
Requires:	librsvg >= 2.34.0
Requires:	libsecret >= 0.11
Requires:	libsoup >= 2.42
Requires:	libwebp >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gThumb lets you browse your hard disk, showing you thumbnails of image
files. It also lets you view single files (including GIF animations),
add comments to images, organize images in catalogs, print images,
view slideshows, set your desktop background, and more.

%description -l pl.UTF-8
gThumb pozwala na przeglądanie twardego dysku z pokazywaniem
miniaturek plików z obrazkami. Pozwala także oglądać pojedyncze pliki
(w tym animacje GIF), dodawać komentarze do obrazków, układać obrazki
w katalogi, drukować obrazki, oglądać slajdy, ustawiać tło biurka itd.

%package devel
Summary:	gThumb development files
Summary(pl.UTF-8):	Pliki programistyczne gThumb
Group:		X11/Development/Libraries
Requires:	gtk+3-devel >= 3.16

%description devel
This package provides header files for developing gThumb extensions.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki nagłówkowe potrzebne do rozwijania
rozszerzeń gThumb.

%prep
%setup -q
%patch -P 0 -p1

%build
%meson \
	-Dlibchamplain=true

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# not supported by glibc (as of 2.38)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/gthumb
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/extensions
%attr(755,root,root) %{_libdir}/%{name}/extensions/*.so
%{_libdir}/%{name}/extensions/*.extension
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/%{name}
%endif
%attr(755,root,root) %{_libexecdir}/%{name}/video-thumbnailer
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.gthumb.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gthumb.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gthumb.*.gschema.xml
%{_datadir}/metainfo/org.gnome.gThumb.appdata.xml
%{_desktopdir}/org.gnome.gThumb.desktop
%{_desktopdir}/org.gnome.gThumb.Import.desktop
%{_iconsdir}/hicolor/*x*/apps/org.gnome.gThumb.png
# XXX: wrong dir
%{_iconsdir}/hicolor/16x16/apps/org.gnome.gThumb-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.gThumb.svg
%{_mandir}/man1/gthumb.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gthumb
%{_pkgconfigdir}/gthumb.pc
%{_aclocaldir}/gthumb.m4
%changelog
* Thu Feb 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gthumb.git;a=log;h=master

* Mon Feb 10 2025 Jan Palus <atler@pld-linux.org> 671734b
- up to 3.12.7

* Mon Feb 10 2025 Jan Palus <atler@pld-linux.org> 8396234
- use new meson macros

* Fri Jan 31 2025 Jan Rękorajski <baggins@pld-linux.org> 8be05ac
- use proper type for time representation, rel 3

* Fri Apr 26 2024 Jakub Bogusz <qboosh@pld-linux.org> e015431
- release 2 (libjxl 0.10.x)

* Mon Mar 11 2024 Jan Palus <atler@pld-linux.org> cdedd12
- up to 3.12.6

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> aef87e2
- updated to 3.12.5 (libjxl 0.9.x is supported now)

* Fri Oct 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 4891fc5
- updated to 3.12.4

* Thu Aug 31 2023 Jakub Bogusz <qboosh@pld-linux.org> 83f8d3b
- drop ie locale; release 2

* Thu Aug 31 2023 Jakub Bogusz <qboosh@pld-linux.org> 6fa980d
- updated to 3.12.3

* Tue Jul 25 2023 Jan Palus <atler@pld-linux.org> 6b47f40
- upstream support for exiv2 >= 0.28; rel 5

* Wed Apr 26 2023 Jan Palus <atler@pld-linux.org> 60f0ad4
- BR: automake for %_aclocaldir

* Wed Apr 26 2023 Jan Palus <atler@pld-linux.org> fd10ead
- BR: AppStream-devel for appdata

* Mon Mar 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 93cf97d
- patch for LIBRAW_OPIONS_NO_MEMERR_CALLBACK removed in libraw 0.21.x

* Mon Mar 27 2023 Jakub Bogusz <qboosh@pld-linux.org> ef7da65
- added libraw patch (fix for libraw 0.21.x); release 4

* Mon Mar 06 2023 Jan Rękorajski <baggins@pld-linux.org> 3c8ada9
- Release 3 (by relup.sh)

* Mon Apr 11 2022 Jan Rękorajski <baggins@pld-linux.org> 3a35dcc
- Release 2 (by relup.sh)

* Mon Apr 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 0873a83
- updated to 3.12.2

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 926098f
- updated to 3.12.1, removed obsolete comment

* Tue Feb 01 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4ca12d9
- rebuild with libraw-0.20.2

* Wed Oct 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 39d23ee
- build with jxl support

